# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/doxygen /usr/bin/perl gcc-c++ perl(FileHandle.pm)
# END SourceDeps(oneline)
Name: steghide
Summary: A steganography program
Version: 0.5.1
Release: alt4_21

License: GPLv2
Group: File tools

URL: http://steghide.sourceforge.net
Source: http://prdownloads.sourceforge.net/steghide/steghide-%{version}.tar.gz
Patch0: steghide-0.5.1-gcc41.patch
Patch2: steghide-0.5.1-mhash.patch
patch3: steghide-0.5.1-gcc43.patch

BuildRequires: automake autoconf
BuildRequires: gettext-devel libtool automake autoconf
BuildRequires: libmcrypt-devel libmhash-devel libjpeg-devel zlib-devel

Requires: libmcrypt >= 2.5.8-2
Source44: import.info

%description
Steghide is a steganography program that is able to hide data in various kinds
of image- and audio-files. The color- respectivly sample-frequencies are not
changed thus making the embedding resistant against first-order statistical
tests. Features of steghide include compression and encryption of embedded
data,

embedding of a checksum to verify the integrity of the extracted data and
support for jpeg, bmp, wav and au files.

%prep
%setup
%patch0 -p1 
%patch2 -p1
%patch3 -p1 -b .gcc43

%build
aclocal
libtoolize --force
automake --add-missing
autoreconf
%configure  
make %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall

rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/*

%find_lang %name

%check
# make check

%files -f %name.lang

%{_bindir}/steghide
%{_mandir}/man1/steghide.1*

%doc ABOUT-NLS BUGS COPYING CREDITS HISTORY README TODO

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt4_21
- initial fc import

* Thu Nov 27 2008 Victor Forsyuk <force@altlinux.org> 0.5.1-alt4
- Fix FTBFS with gcc43.

* Sat Dec 29 2007 Victor Forsyuk <force@altlinux.org> 0.5.1-alt3
- Fix FTBFS in current build environment.

* Tue May 16 2006 Victor Forsyuk <force@altlinux.ru> 0.5.1-alt2
- Fix FTBFS with gcc4.

* Mon Jul 18 2005 Victor Forsyuk <force@altlinux.ru> 0.5.1-alt1
- Initial build.
